#!/bin/bash
##################################################################
#
# g800_cleaner -- remove malware on XiaoCai X9 'G800' ROM
#
# This is for the G800_Z5_YG_EN_C1_V0.4_20130910 ROM only!
# By Krusovice -- http://www.android-hilfe.de/
#
# THIS SCRIPT IS RUN ON YOUR HOST (Linux or Mac)
#
##################################################################
#
# Instructions:
#
#  0. Copy these scripts into your "motochopper" directory
#     (the same directory where adb.linux and adb.osx are located)
#
#  1. Put your device into factory mode (hold Vol- while rebooting)
#     You should see a menu with Chinese characters.
#     If you want to stop here: you can navigate with Vol+/Vol- buttons,
#     the menu entry at the bottom reboots your phone,
#     press the Power button for OK.
#
#  2. Attach phone via USB
#
#  3. Run this script (clean.sh)
#     Your phone will reboot afterwards.
#
##################################################################

echo "*** g800_cleaner -- remove malware on XiaoCai X9 'G800' ROM (from Linux/Mac)"
echo "*** By Krusovice -- http://www.android-hilfe.de/"
echo "***"
echo "*** NOTE: This is for the G800_Z5_YG_EN_C1_V0.4_20130910 ROM only!"
echo "***"
echo "*** WARNING:   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo "*** WARNING:   !!!   THIS WILL VOID THE WARRANTY OF YOUR PHONE   !!!"
echo "*** WARNING:   !!!   THIS MAY BRICK YOUR DEVICE                  !!!"
echo "*** WARNING:   !!!   RUN AT YOUR OWN RISK                        !!!"
echo "*** WARNING:   !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
echo "***"
echo "*** Make sure that you're connected via USB!"
echo "***"

echo "*** Press any key to continue or CTRL+C to abort:"
read -n 1

platform=`uname`
if [ "$platform" = 'Darwin' ]; then
	adb="./adb.osx"
	version="OS X"
else
	adb="./adb.linux"
	version="Linux"
fi
chmod +x $adb

$adb kill-server

echo "*** Waiting for device ..."
$adb wait-for-device

echo "*** Run cleaner script ..."
$adb push cln /data/local/tmp/cln.sh
$adb shell chmod 755 /data/local/tmp/cln.sh
$adb shell /data/local/tmp/cln.sh
$adb shell rm /data/local/tmp/cln.sh

echo "*** Cleaning complete"
echo "***"
echo "*** Press any key to reboot your phone:"
read -n 1

$adb reboot
$adb kill-server

echo "***"
echo "*** We're done :-)"
